# Interface methods for submodule: DataObjectDecorator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import DataObjectProxy as _DataObjectProxy


# Interface methods for class: DataObjectDecorator
class DataObjectDecoratorProxy(_DataObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Set(self, val) -> None:
		""""""
		...

	def Get(self):
		""""""
		...

	def GetModifiable(self):
		""""""
		...

	def GetMTime(self) -> int:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

	@overload
	def Graft(self, arg0) -> None:
		""""""
		...

	@overload
	def Graft(self, data) -> None:
		""""""
		...

